Index: osc_snovis/trunk/obuild/DOS/build_release.bat
===================================================================
--- osc_snovis/trunk/obuild/DOS/build_release.bat	(revision 221)
+++ osc_snovis/trunk/obuild/DOS/build_release.bat	(revision 270)
@@ -453,232 +170,58 @@
 
 IF EXIST "%obuild_dir_project%\Versions" DEL "%obuild_dir_project%\Versions"
-ECHO package foreign v1r0   >> "%obuild_dir_project%\Versions"
-ECHO package expat v1r11p6   >> "%obuild_dir_project%\Versions"
-ECHO package Slash v1r0p0   >> "%obuild_dir_project%\Versions"
-ECHO package Lib v8r0   >> "%obuild_dir_project%\Versions"
-ECHO package BatchLab v1r0   >> "%obuild_dir_project%\Versions"
-ECHO package UseAIDA v1r0p2   >> "%obuild_dir_project%\Versions"
-ECHO package osc_batch v16r0p0   >> "%obuild_dir_project%\Versions"
-ECHO package CoinGL v1r244p0   >> "%obuild_dir_project%\Versions"
-ECHO package CoinXt v1r122p0   >> "%obuild_dir_project%\Versions"
-ECHO package CoinQt v1r130p0   >> "%obuild_dir_project%\Versions"
-ECHO package CoinPython v1r0   >> "%obuild_dir_project%\Versions"
-ECHO package HEPVis v6r6p0   >> "%obuild_dir_project%\Versions"
-ECHO package OnX v17r0   >> "%obuild_dir_project%\Versions"
-ECHO package OnXLab v1r0   >> "%obuild_dir_project%\Versions"
-ECHO package OpenPAW v3r0   >> "%obuild_dir_project%\Versions"
-ECHO package G4Lab v8r0p0   >> "%obuild_dir_project%\Versions"
-ECHO package G4Simple v2r0p0   >> "%obuild_dir_project%\Versions"
-ECHO package G4Examples v1r0   >> "%obuild_dir_project%\Versions"
+ECHO package osc_snovis v1r0   >> "%obuild_dir_project%\Versions"
+ECHO package snovis v1r1   >> "%obuild_dir_project%\Versions"
 ECHO package bhep v1r4p2   >> "%obuild_dir_project%\Versions"
 ECHO package snova v2r0p0   >> "%obuild_dir_project%\Versions"
 ECHO package snovis v1r1   >> "%obuild_dir_project%\Versions"
-ECHO foreign Motif 2.2   >> "%obuild_dir_project%\Versions"
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_61
-ECHO foreign Qt 4.1.4   >> "%obuild_dir_project%\Versions"
-:end_if_platform_61
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_62
-ECHO foreign Qt 4.1.4   >> "%obuild_dir_project%\Versions"
-:end_if_platform_62
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_63
-ECHO foreign Qt 4.1.1   >> "%obuild_dir_project%\Versions"
-:end_if_platform_63
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_64
-ECHO foreign Python 2.3.5   >> "%obuild_dir_project%\Versions"
-:end_if_platform_64
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_65
-ECHO foreign Python 2.4.2   >> "%obuild_dir_project%\Versions"
-:end_if_platform_65
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_66
-ECHO foreign Python 2.3.4   >> "%obuild_dir_project%\Versions"
-:end_if_platform_66
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_67
-ECHO foreign Python 2.4.2   >> "%obuild_dir_project%\Versions"
-:end_if_platform_67
-SET obuild_platform_result=
+ECHO foreign OpenScientist v16r0   >> "%obuild_dir_project%\Versions"
 ECHO foreign CLHEP 2.0.3.1   >> "%obuild_dir_project%\Versions"
 ECHO foreign Geant4 8.2   >> "%obuild_dir_project%\Versions"
-
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_70
-IF NOT EXIST "%Motif_home%\lib"  ECHO WARNNING : Directory %Motif_home%\lib not found.  && GOTO end_if_release_71
-IF NOT EXIST "%obuild_dir_project%\lib/." MKDIR "%obuild_dir_project%\lib/."
-XCOPY /E /Q "%Motif_home%\lib"\libXm.so* "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_71
-:end_if_platform_70
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_72
-IF NOT EXIST "%Qt_home%\bin\moc.exe"  ECHO WARNNING : File %Qt_home%\bin\moc.exe not found.  && GOTO end_if_release_73
-IF NOT EXIST "%obuild_dir_project%\bin" MKDIR "%obuild_dir_project%\bin"
-COPY "%Qt_home%\bin\moc.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
-@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_release_73
-:end_if_platform_72
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_74
-IF NOT EXIST "%Qt_home%\osc_libs"  ECHO WARNNING : Directory %Qt_home%\osc_libs not found.  && GOTO end_if_release_75
-IF NOT EXIST "%obuild_dir_project%\lib/." MKDIR "%obuild_dir_project%\lib/."
-XCOPY /E /Q "%Qt_home%\osc_libs"\libQt* "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_75
-:end_if_platform_74
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_76
-IF NOT EXIST "%Qt_home%\bin"  ECHO WARNNING : Directory %Qt_home%\bin not found.  && GOTO end_if_release_77
-IF NOT EXIST "%obuild_dir_project%\bin\." MKDIR "%obuild_dir_project%\bin\."
-XCOPY /E /Q "%Qt_home%\bin"\Qt*.dll "%obuild_dir_project%\bin\." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_77
-:end_if_platform_76
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_78
-IF NOT EXIST "%Python_home%\python%Python_version%.dll" GOTO end_if_copy_79
-  COPY "%Python_home%\python%Python_version%.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_79
-:end_if_platform_78
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_80
-IF NOT EXIST "%Python_home%\Lib"  ECHO WARNNING : Directory %Python_home%\Lib not found.  && GOTO end_if_release_81
-IF NOT EXIST "%obuild_dir_project%\Resources\Python\.\Lib" MKDIR "%obuild_dir_project%\Resources\Python\.\Lib"
-XCOPY /E /Q "%Python_home%\Lib" "%obuild_dir_project%\Resources\Python\.\Lib" 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_81
-:end_if_platform_80
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_82
-IF NOT EXIST "%Python_home%\DLLs"  ECHO WARNNING : Directory %Python_home%\DLLs not found.  && GOTO end_if_release_83
-IF NOT EXIST "%obuild_dir_project%\Resources\Python\.\DLLs" MKDIR "%obuild_dir_project%\Resources\Python\.\DLLs"
-XCOPY /E /Q "%Python_home%\DLLs" "%obuild_dir_project%\Resources\Python\.\DLLs" 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_83
-:end_if_platform_82
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_84
-IF NOT EXIST "%Python_home%\lib"  ECHO WARNNING : Directory %Python_home%\lib not found.  && GOTO end_if_release_85
-IF NOT EXIST "%obuild_dir_project%\Resources\Python\.\lib" MKDIR "%obuild_dir_project%\Resources\Python\.\lib"
-XCOPY /E /Q "%Python_home%\lib" "%obuild_dir_project%\Resources\Python\.\lib" 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_85
-:end_if_platform_84
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_86
-IF NOT EXIST "%Python_home%\lib"  ECHO WARNNING : Directory %Python_home%\lib not found.  && GOTO end_if_release_87
-IF NOT EXIST "%obuild_dir_project%\lib/." MKDIR "%obuild_dir_project%\lib/."
-XCOPY /E /Q "%Python_home%\lib"\libpython*.so.* "%obuild_dir_project%\lib/." 1> xcopy_exe_error
-@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_87
-:end_if_platform_86
+ECHO foreign HDF5 1.6.5   >> "%obuild_dir_project%\Versions"
+
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_14
+IF NOT EXIST "%OSC_home%\bin"  ECHO WARNNING : Directory %OSC_home%\bin not found.  && GOTO end_if_release_15
+IF NOT EXIST "%obuild_dir_project%\.\.\bin" MKDIR "%obuild_dir_project%\.\.\bin"
+XCOPY /E /Q "%OSC_home%\bin" "%obuild_dir_project%\.\.\bin" 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+:end_if_release_15
+:end_if_platform_14
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_16
+IF NOT EXIST "%OSC_home%\lib"  ECHO WARNNING : Directory %OSC_home%\lib not found.  && GOTO end_if_release_17
+IF NOT EXIST "%obuild_dir_project%\.\.\lib" MKDIR "%obuild_dir_project%\.\.\lib"
+XCOPY /E /Q "%OSC_home%\lib" "%obuild_dir_project%\.\.\lib" 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+:end_if_release_17
+:end_if_platform_16
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_18
+IF NOT EXIST "%OSC_home%\Resources"  ECHO WARNNING : Directory %OSC_home%\Resources not found.  && GOTO end_if_release_19
+IF NOT EXIST "%obuild_dir_project%\.\.\Resources" MKDIR "%obuild_dir_project%\.\.\Resources"
+XCOPY /E /Q "%OSC_home%\Resources" "%obuild_dir_project%\.\.\Resources" 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+:end_if_release_19
+:end_if_platform_18
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
@@ -688,12 +231,12 @@
 cd "%obuild_pwd_osc_snovis_1%"
 SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_88
-IF NOT EXIST "%CLHEP_home%\lib\libCLHEP-2.0.3.1.dylib"  ECHO WARNNING : File %CLHEP_home%\lib\libCLHEP-2.0.3.1.dylib not found.  && GOTO end_if_release_89
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_20
+IF NOT EXIST "%CLHEP_home%\lib\libCLHEP-2.0.3.1.dylib"  ECHO WARNNING : File %CLHEP_home%\lib\libCLHEP-2.0.3.1.dylib not found.  && GOTO end_if_release_21
 IF NOT EXIST "%obuild_dir_project%\lib" MKDIR "%obuild_dir_project%\lib"
 COPY "%CLHEP_home%\lib\libCLHEP-2.0.3.1.dylib" "%obuild_dir_project%\lib\." 1> copy_exe_error
 @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
 @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_release_89
-:end_if_platform_88
+:end_if_release_21
+:end_if_platform_20
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
@@ -703,102 +246,102 @@
 cd "%obuild_pwd_osc_snovis_1%"
 SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_90
-IF NOT EXIST "%CLHEP_home%\lib\libCLHEP-2.0.3.1.so"  ECHO WARNNING : File %CLHEP_home%\lib\libCLHEP-2.0.3.1.so not found.  && GOTO end_if_release_91
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_22
+IF NOT EXIST "%CLHEP_home%\lib\libCLHEP-2.0.3.1.so"  ECHO WARNNING : File %CLHEP_home%\lib\libCLHEP-2.0.3.1.so not found.  && GOTO end_if_release_23
 IF NOT EXIST "%obuild_dir_project%\lib" MKDIR "%obuild_dir_project%\lib"
 COPY "%CLHEP_home%\lib\libCLHEP-2.0.3.1.so" "%obuild_dir_project%\lib\." 1> copy_exe_error
 @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
 @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_release_91
-:end_if_platform_90
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_92
-IF NOT EXIST "%CLHEP_home%\include"  ECHO WARNNING : Directory %CLHEP_home%\include not found.  && GOTO end_if_release_93
+:end_if_release_23
+:end_if_platform_22
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_24
+IF NOT EXIST "%CLHEP_home%\include"  ECHO WARNNING : Directory %CLHEP_home%\include not found.  && GOTO end_if_release_25
 IF NOT EXIST "%obuild_dir_project%\Resources\CLHEP\.\include" MKDIR "%obuild_dir_project%\Resources\CLHEP\.\include"
 XCOPY /E /Q "%CLHEP_home%\include" "%obuild_dir_project%\Resources\CLHEP\.\include" 1> xcopy_exe_error
 @IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
 @IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_93
-:end_if_platform_92
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_94
-IF NOT EXIST "%Geant4_home%\include"  ECHO WARNNING : Directory %Geant4_home%\include not found.  && GOTO end_if_release_95
+:end_if_release_25
+:end_if_platform_24
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_26
+IF NOT EXIST "%Geant4_home%\include"  ECHO WARNNING : Directory %Geant4_home%\include not found.  && GOTO end_if_release_27
 IF NOT EXIST "%obuild_dir_project%\Resources\Geant4\.\include" MKDIR "%obuild_dir_project%\Resources\Geant4\.\include"
 XCOPY /E /Q "%Geant4_home%\include" "%obuild_dir_project%\Resources\Geant4\.\include" 1> xcopy_exe_error
 @IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
 @IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_95
-:end_if_platform_94
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_96
-IF NOT EXIST "%Geant4_home%\data\G4NDL"  ECHO WARNNING : Directory %Geant4_home%\data\G4NDL not found.  && GOTO end_if_release_97
+:end_if_release_27
+:end_if_platform_26
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_28
+IF NOT EXIST "%Geant4_home%\data\G4NDL"  ECHO WARNNING : Directory %Geant4_home%\data\G4NDL not found.  && GOTO end_if_release_29
 IF NOT EXIST "%obuild_dir_project%\Resources\Geant4\data\.\G4NDL" MKDIR "%obuild_dir_project%\Resources\Geant4\data\.\G4NDL"
 XCOPY /E /Q "%Geant4_home%\data\G4NDL" "%obuild_dir_project%\Resources\Geant4\data\.\G4NDL" 1> xcopy_exe_error
 @IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
 @IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_97
-:end_if_platform_96
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_98
-IF NOT EXIST "%Geant4_home%\data\PhotonEvaporation"  ECHO WARNNING : Directory %Geant4_home%\data\PhotonEvaporation not found.  && GOTO end_if_release_99
+:end_if_release_29
+:end_if_platform_28
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_30
+IF NOT EXIST "%Geant4_home%\data\PhotonEvaporation"  ECHO WARNNING : Directory %Geant4_home%\data\PhotonEvaporation not found.  && GOTO end_if_release_31
 IF NOT EXIST "%obuild_dir_project%\Resources\Geant4\data\.\PhotonEvaporation" MKDIR "%obuild_dir_project%\Resources\Geant4\data\.\PhotonEvaporation"
 XCOPY /E /Q "%Geant4_home%\data\PhotonEvaporation" "%obuild_dir_project%\Resources\Geant4\data\.\PhotonEvaporation" 1> xcopy_exe_error
 @IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
 @IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_99
-:end_if_platform_98
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_100
-IF NOT EXIST "%Geant4_home%\data\RadioactiveDecay"  ECHO WARNNING : Directory %Geant4_home%\data\RadioactiveDecay not found.  && GOTO end_if_release_101
+:end_if_release_31
+:end_if_platform_30
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_32
+IF NOT EXIST "%Geant4_home%\data\RadioactiveDecay"  ECHO WARNNING : Directory %Geant4_home%\data\RadioactiveDecay not found.  && GOTO end_if_release_33
 IF NOT EXIST "%obuild_dir_project%\Resources\Geant4\data\.\RadioactiveDecay" MKDIR "%obuild_dir_project%\Resources\Geant4\data\.\RadioactiveDecay"
 XCOPY /E /Q "%Geant4_home%\data\RadioactiveDecay" "%obuild_dir_project%\Resources\Geant4\data\.\RadioactiveDecay" 1> xcopy_exe_error
 @IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
 @IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_101
-:end_if_platform_100
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_102
-IF NOT EXIST "%Geant4_home%\data\G4EMLOW"  ECHO WARNNING : Directory %Geant4_home%\data\G4EMLOW not found.  && GOTO end_if_release_103
+:end_if_release_33
+:end_if_platform_32
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_34
+IF NOT EXIST "%Geant4_home%\data\G4EMLOW"  ECHO WARNNING : Directory %Geant4_home%\data\G4EMLOW not found.  && GOTO end_if_release_35
 IF NOT EXIST "%obuild_dir_project%\Resources\Geant4\data\.\G4EMLOW" MKDIR "%obuild_dir_project%\Resources\Geant4\data\.\G4EMLOW"
 XCOPY /E /Q "%Geant4_home%\data\G4EMLOW" "%obuild_dir_project%\Resources\Geant4\data\.\G4EMLOW" 1> xcopy_exe_error
 @IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
 @IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_103
-:end_if_platform_102
+:end_if_release_35
+:end_if_platform_34
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
@@ -808,6 +351,6 @@
 cd "%obuild_pwd_osc_snovis_1%"
 SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_104
-IF NOT EXIST "%Geant4_home%\lib"  ECHO WARNNING : Directory %Geant4_home%\lib not found.  && GOTO end_if_release_105
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_36
+IF NOT EXIST "%Geant4_home%\lib"  ECHO WARNNING : Directory %Geant4_home%\lib not found.  && GOTO end_if_release_37
 IF NOT EXIST "%obuild_dir_project%\lib/." MKDIR "%obuild_dir_project%\lib/."
 XCOPY /E /Q "%Geant4_home%\lib"\libG4physicslists.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@@ -853,6 +396,6 @@
 @IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
 @IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_105
-:end_if_platform_104
+:end_if_release_37
+:end_if_platform_36
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
@@ -862,6 +405,6 @@
 cd "%obuild_pwd_osc_snovis_1%"
 SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_106
-IF NOT EXIST "%Geant4_home%\lib"  ECHO WARNNING : Directory %Geant4_home%\lib not found.  && GOTO end_if_release_107
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_38
+IF NOT EXIST "%Geant4_home%\lib"  ECHO WARNNING : Directory %Geant4_home%\lib not found.  && GOTO end_if_release_39
 IF NOT EXIST "%obuild_dir_project%\lib/." MKDIR "%obuild_dir_project%\lib/."
 XCOPY /E /Q "%Geant4_home%\lib"\libG4physicslists.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
